Extending Qt Creator Manual | ScopeAstPath

Extending Qt Creator Manual 4.5.2

# ScopeAstPath Class

(QmlJS::ScopeAstPath)

- List of all members, including inherited members

## Public Functions

| ScopeAstPath(Document::Ptr doc)
QList<AST::Node *> | operator()(quint32 offset)

## Protected Functions

void | accept(AST::Node *node)
bool | preVisit(AST::Node *node) override
bool | visit(AST::UiPublicMember *node) override
bool | visit(AST::UiScriptBinding *node) override
bool | visit(AST::UiObjectDefinition *node) override
bool | visit(AST::UiObjectBinding *node) override
bool | visit(AST::FunctionDeclaration *node) override
bool | visit(AST::FunctionExpression *node) override

## Member Function Documentation

### ScopeAstPath::ScopeAstPath(Document::Ptr doc)

Default constructs an instance of ScopeAstPath.

### `[protected]` void ScopeAstPath::accept(AST::Node *node)

### `[protected]` bool ScopeAstPath::preVisit(AST::Node *node)

### `[protected]` bool ScopeAstPath::visit(AST::UiPublicMember *node)

### `[protected]` bool ScopeAstPath::visit(AST::UiScriptBinding *node)

### `[protected]` bool ScopeAstPath::visit(AST::UiObjectDefinition *node)

### `[protected]` bool ScopeAstPath::visit(AST::UiObjectBinding *node)

### `[protected]` bool ScopeAstPath::visit(AST::FunctionDeclaration *node)

### `[protected]` bool ScopeAstPath::visit(AST::FunctionExpression *node)

### QList<AST::Node *> ScopeAstPath::operator()(quint32 offset)